%def_disable static

Name: libpixman
Version: 0.1.3
Release: alt0.cvs20050202.M24.1

Summary: Pixel manipulation library
Group: System/Libraries
URL: http://cairographics.org/
License: LGPL

%define stage head

Source: %name-%stage.tar.bz2

BuildRequires: gcc-c++ pkgconfig

%description
libpixman is a merge of libpixregion and libic.
It also includes the slim headers.

%package devel
Summary: Headers for developing programs that will use pixman
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains the headers that programmers will need to develop
applications which will use pixman library.

%package devel-static
Summary: Static version of the pixman library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains library that programmers will need to build
statically linked applications which will use pixman.

%prep
%setup -q -n %name

%build
./autogen.sh
%configure \
    %{subst_enable static}
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS NEWS README COPYING ChangeLog*
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/pkgconfig/*
%_libdir/*.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Wed Feb 02 2005 LAKostis <lakostis at altlinux.ru> 0.1.3-alt0.cvs20050202.M24.1
- new cvs snapshot
- backport to Master-2.4

* Thu Jul 08 2004 Kachalov Anton <mouse@altlinux.ru> 0.1.1-alt1
- first build for Sisyphus

